<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrAgriculturalCollegeAnnualReportMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrAgriculturalCollegeAnnualReport">
            <result property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="anchedate" column="ANCHEDATE" jdbcType="TIMESTAMP"/>
            <result property="ancheyear" column="ANCHEYEAR" jdbcType="VARCHAR"/>
            <result property="farspeartname" column="FARSPEARTNAME" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="memnum" column="MEMNUM" jdbcType="INTEGER"/>
            <result property="farnum" column="FARNUM" jdbcType="INTEGER"/>
            <result property="annnewmemnum" column="ANNNEWMEMNUM" jdbcType="INTEGER"/>
            <result property="annredmemnum" column="ANNREDMEMNUM" jdbcType="INTEGER"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="priyeasales" column="PRIYEASALES" jdbcType="DECIMAL"/>
            <result property="priyeasalesdis" column="PRIYEASALESDIS" jdbcType="VARCHAR"/>
            <result property="priyeaprofit" column="PRIYEAPROFIT" jdbcType="DECIMAL"/>
            <result property="priyeaprofitdis" column="PRIYEAPROFITDIS" jdbcType="VARCHAR"/>
            <result property="priyeasub" column="PRIYEASUB" jdbcType="DECIMAL"/>
            <result property="priyeasubdis" column="PRIYEASUBDIS" jdbcType="VARCHAR"/>
            <result property="ratgro" column="RATGRO" jdbcType="DECIMAL"/>
            <result property="ratgrodis" column="RATGRODIS" jdbcType="VARCHAR"/>
            <result property="priyealoan" column="PRIYEALOAN" jdbcType="DECIMAL"/>
            <result property="priyealoandis" column="PRIYEALOANDIS" jdbcType="VARCHAR"/>
            <result property="lastupdatetime" column="LASTUPDATETIME" jdbcType="TIMESTAMP"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ANCHEID,PRIPID,ANCHEDATE,
        ANCHEYEAR,FARSPEARTNAME,UNISCID,
        REGNO,MEMNUM,FARNUM,
        ANNNEWMEMNUM,ANNREDMEMNUM,TEL,
        EMAIL,PRIYEASALES,PRIYEASALESDIS,
        PRIYEAPROFIT,PRIYEAPROFITDIS,PRIYEASUB,
        PRIYEASUBDIS,RATGRO,RATGRODIS,
        PRIYEALOAN,PRIYEALOANDIS,LASTUPDATETIME,
        S_EXT_DATATIME
    </sql>
</mapper>
